using System.Collections.Generic;
using Library;

namespace AppConfig
{
    public class Base
    {
        public static string ApiKey = "G6H7@J8%";
        public static string BsSqlConnStr = ConfigurationManager.AppSettings["BsSqlConnStr"].ToString();
        public static string KxsSqlConnStr = ConfigurationManager.AppSettings["KxsSqlConnStr"].ToString();
        public static string SqlConnStr1 = ConfigurationManager.AppSettings["SqlConnStr1"].ToString();
        public static string SqlConnStr2 = ConfigurationManager.AppSettings["SqlConnStr2"].ToString();
        public static string Host = Library.ConfigurationManager.AppSettings["Host"].ToString();
        public static string SourceHost = Library.ConfigurationManager.AppSettings["SourceHost"].ToString();
        public static string Database = Library.ConfigurationManager.AppSettings["Database"].ToString();
        public static string defaultImage = Library.ConfigurationManager.AppSettings["Host"].ToString() + "/skin/app/default/static/images/default.jpg";
        #region 数据库结构
        public static Dictionary<string, Dictionary<string, string>> dbTables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> bsTables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> kxsMainTables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> main1Tables = new Dictionary<string, Dictionary<string, string>>();
        public static Dictionary<string, Dictionary<string, string>> main2Tables = new Dictionary<string, Dictionary<string, string>>();

        #endregion
    }
}